Record uploaded assets
curl --request POST \
--url https://api.sapt.ai/projects/{projectId}/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uploads": [
{
"itemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"sizeBytes": 123,
"r2Key": "<string>",
"mimeType": "<string>",
"metadata": "<unknown>"
}
]
}
'import requests
url = "https://api.sapt.ai/projects/{projectId}/assets"
payload = { "uploads": [
{
"itemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"sizeBytes": 123,
"r2Key": "<string>",
"mimeType": "<string>",
"metadata": "<unknown>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uploads: [
{
itemId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
filename: '<string>',
sizeBytes: 123,
r2Key: '<string>',
mimeType: '<string>',
metadata: '<unknown>'
}
]
})
};
fetch('https://api.sapt.ai/projects/{projectId}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assets": [
{
"id": "<string>",
"url": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"sizeBytes": 123,
"feature": "cms"
}
]
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Assets
Record uploaded assets
REST mirror of the assets.recordUploads tRPC procedure.
POST
/
projects
/
{projectId}
/
assets
Record uploaded assets
Authorizations
JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.
Path Parameters
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Response
Recorded assets
Show child attributes
Show child attributes